## v1.0.tar.gz

=== CMakeLists.txt ===
##############################################################################
# Project Settings/Requirements
##############################################################################
cmake_minimum_required( VERSION 2.8 )

include_directories( "${PROJECT_SOURCE_DIR}" )

include_directories( "/usr/include" )
include_directories( "/usr/local/include" )
include_directories( "/opt/local/include" )

ADD_DEFINITIONS( -std=c++0x )

##############################################################################
# Build - Library
##############################################################################
add_library( streamlog SHARED "${PROJECT_SOURCE_DIR}/streamlog.cpp" )

##############################################################################
# Install - Library
##############################################################################
if(${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
	set( MAKE_INSTALL_PREFIX "/opt/local" )
	set_target_properties( streamlog PROPERTIES MACOSX_RPATH 1 )
else()
	set( MAKE_INSTALL_PREFIX "/usr/local" )
endif()

install( FILES "${PROJECT_SOURCE_DIR}/streamlog.h" DESTINATION "${MAKE_INSTALL_PREFIX}/include/streamlog" )
install( TARGETS streamlog LIBRARY DESTINATION "${MAKE_INSTALL_PREFIX}/lib" )

=== Portfile ===
PortSystem			1.0

# PortGroup				bitbucket 1.0
# bitbucket.setup			nwehr streamlog 1.0
# bitbucket.master_sites	https://bitbucket.org/nwehr/streamlog/downloads

PortGroup			cmake 1.0

name				libstreamlog
version				1.0
categories			devel
platforms			darwin
license				BSD

maintainers			gmail.com:gtolemans

description			Logging library built on top of C++ standard output streams
long_description	Streamlog is a simple and lightweight library that maintains an array of \
					user-defined C++ standard output streams. Every time you write to the log, \
					it automatically writes to all of the added streams.

homepage			https://bitbucket.org/nwehr/streamlog
master_sites		https://bitbucket.org/nwehr/streamlog/downloads

checksums			rmd160	373f6b9d9afe9371cd3c4446b42466b793fc8481 \
					sha256	3ff1ef9f04dbddbbe6b40a999150f999680543c3aef8d9f7f288fb9ac9722314
